<?php # Script 10.7 - view_users.php

// This script retrieves all the records from the users table.
// This script uses the PEAR Benchmark class to time the execution.

// Create a new timer and start it.
require_once ('Benchmark/Timer.php');
$t = new Benchmark_Timer;
$t->start();

// Include the HTML header.
$page_title = 'View the Current Users';
include ('templates/header.inc');

// Set a marker.
$t->setMarker ('Included header.inc!');

require_once ('../mysql_connect.php'); // Connect to the db.
		
// Make the query.
$query = "SELECT CONCAT(last_name, ', ', first_name) AS name, DATE_FORMAT(registration_date, '%M %d, %Y') AS dr FROM users ORDER BY registration_date ASC";		
$result = @mysql_query ($query); // Run the query.
$num = mysql_num_rows ($result); // How many users are there?

// Set another marker.
$t->setMarker ('Queried the database!');

if ($num > 0) { // If it ran OK, display the records.

	echo "<p><big><b>There are currently $num registered users.</b></big></p>";

	echo '<table align="center" cellspacing="2" cellpadding="2">
	<tr><td align="left"><b>Name</b></td><td align="left"><b>Date Registered</b></td></tr>
';
	
	// Fetch and print all the records.
	while ($row = mysql_fetch_array($result, MYSQL_NUM)) {
		echo "<tr><td align=\"left\">" . stripslashes($row[0]) . "</td><td align=\"left\">$row[1]</td></tr>\n";
	}

	echo '</table>';
	mysql_free_result ($result); // Free up the resources.	

	// Set another marker.
	$t->setMarker ('Fetched the results!');

} else { // If it did not run OK.
	echo '<p>There are currently no registered users.</p>'; 
}

mysql_close(); // Close the database connection.

include ('templates/footer.inc'); // Include the HTML footer.

// Stop the timer.
$t->stop();

// Print the results.
$result = $t->getProfiling();
echo "<p>Time to include header: <b>{$result[1]['diff']}</b><br />\n
Time to query the database: <b>{$result[2]['diff']}</b><br />\n
Time to fetch the results: <b>{$result[3]['diff']}</b><br />\n
Time to finish the page: <b>{$result[4]['diff']}</b><br />\n
Total time required: <b>{$result[4]['total']}</b><br />\n</p>";
?>